- name: Setup application # Краткое описание происходящего
  hosts: all # Хосты для которых выполняется ansible Для настройки вирутальной машины Vagrant указываем all
  tasks:
    - name: Add an Apt nodejs key
      become: yes
      ansible.builtin.apt_key:
        id: 68576280
        url: https://keyserver.ubuntu.com/pks/lookup?op=get&fingerprint=on&search=0x1655A0AB68576280
        state: present

    - name: Add nodesource repository
      become: yes
      ansible.builtin.apt_repository:
        repo: deb https://deb.nodesource.com/node_16.x focal main
        state: present
        filename: nodesource

    - name: Install nodejs
      become: yes
      ansible.builtin.apt:
        name: nodejs
        state: present
        update_cache: true

    - name: Init App
      ansible.builtin.shell: npm init -y fastify
      args:
        chdir: /vagrant
        creates:  package.json

    - name: add ENV
      become: yes
      ansible.builtin.lineinfile:
        path: /etc/environment
        line: FASTIFY_ADDRESS=0.0.0.0